<template>
  <div class="Mainpage">

    <!-- This is the welcome part of the website -->
    <div class="home">
      <!-- <img alt="Vue logo" src="../assets/logo.png"> -->
      <Welcome msg="Hi, I'm" msg2="Lukas Audzevicius" msg3="And this is my website"/>
    </div>
    <!-- End of the welcome -->

    <!-- This is the code for the triangle shape in the background -->
    <div class="triangleBackground">
    <svg data-name="Layer 1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1200 120" preserveAspectRatio="none">
      <path d="M892.25 114.72L0 0 0 120 1200 120 1200 0 892.25 114.72z" class="shape-fill"></path>
    </svg>
    </div>
    <!-- End of the code for the triangle shape in the background -->

    <!-- This is where the about stage starts -->
    <div class="about">
      <About />
    </div>
    <!-- About stage ends here -->

    <!-- Here starts the SVG code for the book shape in the background -->
    <div class="custom-shape-divider-top-1636129103">
    <svg data-name="Layer 1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1200 120" preserveAspectRatio="none">
      <path d="M602.45,3.86h0S572.9,116.24,281.94,120H923C632,116.24,602.45,3.86,602.45,3.86Z" class="shape-fill"></path>
    </svg>
    </div>
    <!-- End of the SVG code for the book shape -->

    <!-- The resume section starts here -->
    <div class="resume">
      <Resume />
    </div>
    <!-- Resume area ends here -->

    <!-- The tecnologies section starts here -->
    <div class="tecnologies">
      <Tecnologies />
    </div>
    <!-- Tecnologies area ends here -->

    <!-- The hobbies section starts here -->
    <div class="hobbies">
      <Hobbies />
    </div>
    <!-- Hobbies area ends here -->
  </div>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator'
import Welcome from '@/components/Welcome.vue' // @ is an alias to /src
import About from '@/components/About.vue'
import Resume from '@/components/Resume.vue'
import Tecnologies from '@/components/Technologies.vue'
import Hobbies from '@/components/Hobbies.vue'

@Component({
  components: {
    Welcome,
    About,
    Resume,
    Tecnologies,
    Hobbies
  }
})
export default class Home extends Vue {}
</script>

<style lang="scss">
.home {
  min-height: 50vh;
  margin-top: 30vh;
  text-align: auto;
}

.about {
  padding-top: 4vh;
  min-height: 90vh;
  background-color: #1F2833;
  color: #C5C6C7;
}

.tecnologies{
  background-color: #1F2833;
}

// style for background triangle shape
.triangleBackground {
    position: static;
    bottom: 0;
    left: 0;
    width: 100%;
    overflow: hidden;
    line-height: 0;
}

.triangleBackground svg {
    position: relative;
    display: block;
    width: calc(100% + 1.3px);
    height: 100px;
}

.triangleBackground .shape-fill {
    fill: #1F2833;
}

.custom-shape-divider-top-1636129103 {
    position: static;
    top: 0;
    left: 0;
    width: 100%;
    overflow: hidden;
    line-height: 0;
    transform: rotate(180deg);
}

.custom-shape-divider-top-1636129103 svg {
    position: relative;
    display: block;
    width: calc(168% + 1.3px);
    height: 42px;
}

.custom-shape-divider-top-1636129103 .shape-fill {
    fill: #1F2833;
}
</style>
